# img_tools.h File Reference

## Detailed Description

Contains the definitions for the disk image functions.

`#include "aux_tools.h"`
`#include <string.h>`
`#include <fcntl.h>`
`#include <errno.h>`

Go to the source code of this file.

## Typedefs

typedef enum TSK_IMG_INFO_TYPE_ENUM | TSK_IMG_INFO_TYPE_ENUM
typedef TSK_IMG_INFO | TSK_IMG_INFO

## Enumerations

enum

TSK_IMG_INFO_TYPE_ENUM {
TSK_IMG_INFO_TYPE_IMG_MASK = 0xf0, TSK_IMG_INFO_TYPE_SUB_MASK = 0x0f, TSK_IMG_INFO_TYPE_UNSUPP = 0x00, TSK_IMG_INFO_TYPE_RAW_TYPE = 0x10,
TSK_IMG_INFO_TYPE_RAW_SING = 0x11, TSK_IMG_INFO_TYPE_RAW_SPLIT = 0x12, TSK_IMG_INFO_TYPE_AFF_TYPE = 0x20, TSK_IMG_INFO_TYPE_AFF_AFF = 0x21,
TSK_IMG_INFO_TYPE_AFF_AFD = 0x22, TSK_IMG_INFO_TYPE_AFF_AFM = 0x23, TSK_IMG_INFO_TYPE_EWF_TYPE = 0x30, TSK_IMG_INFO_TYPE_EWF_EWF = 0x31
}

| Values for the disk image type. More...

## Functions

TSK_IMG_INFO * | tsk_img_open (const TSK_TCHAR *, const int, const TSK_TCHAR **)
TSK_IMG_INFO_TYPE_ENUM | tsk_img_parse_type (const TSK_TCHAR *)
void | tsk_img_print_types (FILE *)
char * | tsk_img_get_type (TSK_IMG_INFO_TYPE_ENUM)

## Enumeration Type Documentation

enum TSK_IMG_INFO_TYPE_ENUM

Values for the disk image type.

The most-significant nibble is the high-level image type. The least-sigificant nibble is the specific sub-type of implementation.

Enumeration values:

  TSK_IMG_INFO_TYPE_IMG_MASK | Mask to isolate high-level image type.
  TSK_IMG_INFO_TYPE_SUB_MASK | Mask to isolte sub-type.
  TSK_IMG_INFO_TYPE_UNSUPP | Unsupported disk image type.
  TSK_IMG_INFO_TYPE_RAW_TYPE | Raw type (general).
  TSK_IMG_INFO_TYPE_RAW_SING | Raw single disk image.
  TSK_IMG_INFO_TYPE_RAW_SPLIT | Raw split image.
  TSK_IMG_INFO_TYPE_AFF_TYPE | AFF Type (general).
  TSK_IMG_INFO_TYPE_AFF_AFF | AFF version.
  TSK_IMG_INFO_TYPE_AFF_AFD | AFD Version.
  TSK_IMG_INFO_TYPE_AFF_AFM | AFM version.
  TSK_IMG_INFO_TYPE_EWF_TYPE | EWF/EnCase Type (General).
  TSK_IMG_INFO_TYPE_EWF_EWF | EWF version.